> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1userreferral



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/user/referral
openapi: 3.1.0
info:
  title: ekiden-gateway
  description: >-
    API Gateway and WebSocket proxy based on Axum and Utoipa, handling auth,
    rate limiting, and connection buffering.
  license:
    name: ''
  version: 0.1.1
servers:
  - url: https://api.cnt.ekiden.fi/
    description: Testnet
  - url: https://api.canton.ekiden.fi/
    description: Staging
security: []
paths:
  /api/v1/user/referral:
    get:
      tags:
        - User
      operationId: get_referral_summary
      responses:
        '200':
          description: Referral summary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReferralSummaryResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    ReferralSummaryResponse:
      type: object
      required:
        - referral_code
        - downline_count
      properties:
        downline_count:
          type: integer
          format: int64
          minimum: 0
        referral_code:
          type: string
        referrer_code:
          type:
            - string
            - 'null'
        referrer_user_id:
          type:
            - string
            - 'null'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````